## GimpThumb-enums GimpThumb-enums — Enumerations used by libgimpthumb |

## Types and Values

enum | GimpThumbFileType
enum | GimpThumbSize
enum | GimpThumbState

## Description

Enumerations used by libgimpthumb

## Functions

## Types and Values

### enum GimpThumbFileType

File types as returned by `gimp_thumb_file_test()`.

#### Members

GIMP_THUMB_FILE_TYPE_NONE | file does not exist |
GIMP_THUMB_FILE_TYPE_REGULAR | a regular file |
GIMP_THUMB_FILE_TYPE_FOLDER | a directory |
GIMP_THUMB_FILE_TYPE_SPECIAL | a special file (device node, fifo, socket, ...) |

### enum GimpThumbSize

Possible thumbnail sizes as defined by the Thumbnail Managaging Standard.

#### Members

GIMP_THUMB_SIZE_FAIL | special size used to indicate a thumbnail creation failure |
GIMP_THUMB_SIZE_NORMAL | normal thumbnail size (128 pixels) |
GIMP_THUMB_SIZE_LARGE | large thumbnail size (256 pixels) |

### enum GimpThumbState

Possible image and thumbnail file states used by libgimpthumb.

#### Members

GIMP_THUMB_STATE_UNKNOWN | nothing is known about the file/thumbnail |
GIMP_THUMB_STATE_REMOTE | the file is on a remote file system |
GIMP_THUMB_STATE_FOLDER | the file is a directory |
GIMP_THUMB_STATE_SPECIAL | the file is a special file |
GIMP_THUMB_STATE_NOT_FOUND | the file/thumbnail doesn't exist |
GIMP_THUMB_STATE_EXISTS | the file/thumbnail exists |
GIMP_THUMB_STATE_OLD | the thumbnail may be outdated |
GIMP_THUMB_STATE_FAILED | the thumbnail couldn't be created |
GIMP_THUMB_STATE_OK | the thumbnail exists and matches the image |